<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_threads_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
	function show_avatar($user_id, $user_name, $user_status, $user_avatar, $width = "", $height = "", $class = "", $noavsize = "40", $alt = "") {
   global $locale, $settings;
   $width = ($width ? " width='".$width."'" : "");
   $height = ($height ? " height='".$height."'" : "");
   $class = ($class ? " class='".$class."'" : "");
   $noavsize = ($noavsize ? "".$noavsize."" : "");
   $alt = ($alt ? " alt='".$alt."'" : "");
   if ((in_array($user_status, array(0, 3, 7)) || checkrights("M")) && (iMEMBER || $settings['hide_userprofiles'] == "0")) {
      if ($user_avatar && file_exists(IMAGES."avatars/".$user_avatar)) {
         $avatar = "<a href='".BASEDIR."profile.php?lookup=".$user_id."'><img src='".IMAGES."avatars/".$user_avatar."'".$width."".$height."".$class."".$alt." />\n</a>";
      } else {
         $avatar = "<a href='".BASEDIR."profile.php?lookup=".$user_id."'><img src='".IMAGES."avatars/noavatar".$noavsize.".png'".$width."".$height."".$class."".$alt." />\n</a>";
      }
   } elseif ($user_status == "5" || $user_status == "6") {
      $avatar = "";
   } else {
      if ($user_avatar && file_exists(IMAGES."avatars/".$user_avatar)) {
         $avatar = "<img src='".IMAGES."avatars/".$user_avatar."'".$width."".$height."".$class."".$alt." />\n";
      } else {
         $avatar = "<img src='".IMAGES."avatars/noavatar".$noavsize.".png'".$width."".$height."".$class."".$alt." />\n";
      }
   }
   return $avatar;
}
openside($locale['global_020']);
echo "<div class='side-label'>".$locale['global_021']."</div>\n";
$result = dbquery("
	SELECT tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastuser, tt.thread_lastpost,
	tt.thread_poll, tf.forum_id, tf.forum_name, tf.forum_access, tt.thread_lastpostid, tt.thread_postcount, tu.user_id, tu.user_name,
	tu.user_status, tu.user_avatar
	FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	INNER JOIN ".DB_USERS." tu ON tt.thread_lastuser=tu.user_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
	ORDER BY thread_lastpost DESC LIMIT 5
");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 23);
		echo "<table border='0' style='border-collapse: collapse;' valign='bottom' width='100%'><tr><td class='forum-panel'>";
		echo "".show_avatar($data['user_id'], $data['user_name'], $data['user_status'], $data['user_avatar'], '40', '40', 'testclass', '50', $data['user_name'])."";
		echo "</td><td class='forum-panel'><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a><br/><div class='small-forum'> ".profile_link($data['thread_lastuser'], $data['user_name'], $data['user_status'])." ".showdate("forumdate", $data['thread_lastpost'])."</div><br /></td></tr></table>\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['global_023']."</div>\n";
}


closeside();
?>